import 'package:sql_query/builder/query_builder.dart';
import 'package:sql_query/database_model.dart';

class DataUser { 
    static const String table = 'data_user';
    static const String name = 'name';
    static const String id = 'id';

    static tables() { 
        return TableDatabase(
            tableName: "data_user",
            column: [
                ColumnDatabase(name: name, typeData:DataType.text),
                ColumnDatabase(name: id, typeData:DataType.integer, primaryKey: true, autoIncrement: true),
            ],
        );
    } 

    static get() { 
        final q = DB.table(table);
        return q.get();
    } 

    static insert() { 
        final q = DB.table(table);
        // q.data({name: "your value", id: "your value"}); // add your data here
        return q.insert();
    } 

} 
